Summary: Front end for programs like "cdrecord" and "mkisofs"
Name: xcdroast
Version: 0.96e
Release: 2
Copyright: GPL
Group: Applications/Publishing
Source: xcdroast-0.96e.tar.gz
Url: http://www.fh-muenchen.de/rz/xcdroast
BuildRoot: /var/tmp/rpmbuild

%description
CD-Writer-Program for X. Frontend for CD-related programs like 
"cdrecord" and "mkisofs".

%prep
%setup -q 
%build

./configure --prefixdir /usr | tee configure.output
cat - <<-EOF 
    If the following line says: Bad exit status
    then you must read the docs and try to compile manually.
    Otherwise, the build should succeed.
EOF
grep "System-check OK" configure.output

# If we got this far, all prerequisite libraries must be here.
make

%install

# these lines just make sure the directory structure in the
# RPM_BUILD_ROOT exists
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

make RPM_BUILD_ROOT=${RPM_BUILD_ROOT} install

%post
# Creates a nice set of devices, that are not usually defined
# on most distributions
# These are absolutely conform to the linux-devices standard.

echo -n "Creating additional device-names: "

mknod /dev/sg0 c 21 0 -m 600 2>/dev/null
mknod /dev/sga c 21 0 -m 600 2>/dev/null

mknod /dev/sg1 c 21 1 -m 600 2>/dev/null
mknod /dev/sgb c 21 1 -m 600 2>/dev/null

mknod /dev/sg2 c 21 2 -m 600 2>/dev/null
mknod /dev/sgc c 21 2 -m 600 2>/dev/null

mknod /dev/sg3 c 21 3 -m 600 2>/dev/null
mknod /dev/sgd c 21 3 -m 600 2>/dev/null

mknod /dev/sg4 c 21 4 -m 600 2>/dev/null
mknod /dev/sge c 21 4 -m 600 2>/dev/null

mknod /dev/sg5 c 21 5 -m 600 2>/dev/null
mknod /dev/sgf c 21 5 -m 600 2>/dev/null
mknod /dev/sg6 c 21 6 -m 600 2>/dev/null
mknod /dev/sgg c 21 6 -m 600 2>/dev/null

mknod /dev/sg7 c 21 7 -m 600 2>/dev/null
mknod /dev/sgh c 21 7 -m 600 2>/dev/null

mknod /dev/sg8 c 21 8 -m 600 2>/dev/null
mknod /dev/sgi c 21 8 -m 600 2>/dev/null

mknod /dev/sg9 c 21 9 -m 600 2>/dev/null
mknod /dev/sgj c 21 9 -m 600 2>/dev/null

mknod /dev/sg10 c 21 10 -m 600 2>/dev/null
mknod /dev/sgk c 21 10 -m 600 2>/dev/null

mknod /dev/sg11 c 21 11 -m 600 2>/dev/null
mknod /dev/sgl c 21 11 -m 600 2>/dev/null

mknod /dev/sg12 c 21 12 -m 600 2>/dev/null
mknod /dev/sgm c 21 12 -m 600 2>/dev/null

mknod /dev/sg13 c 21 13 -m 600 2>/dev/null
mknod /dev/sgn c 21 13 -m 600 2>/dev/null
mknod /dev/sg14 c 21 14 -m 600 2>/dev/null
mknod /dev/sgo c 21 14 -m 600 2>/dev/null

mknod /dev/sg15 c 21 15 -m 600 2>/dev/null
mknod /dev/sgp c 21 15 -m 600 2>/dev/null

mknod /dev/sg16 c 21 16 -m 600 2>/dev/null
mknod /dev/sgq c 21 16 -m 600 2>/dev/null

mknod /dev/sr0 b 11 0 -m 640 2>/dev/null
mknod /dev/sr1 b 11 1 -m 640 2>/dev/null
mknod /dev/sr2 b 11 2 -m 640 2>/dev/null
mknod /dev/sr3 b 11 3 -m 640 2>/dev/null
mknod /dev/sr4 b 11 4 -m 640 2>/dev/null
mknod /dev/sr5 b 11 5 -m 640 2>/dev/null
mknod /dev/sr6 b 11 6 -m 640 2>/dev/null
mknod /dev/sr7 b 11 7 -m 640 2>/dev/null
mknod /dev/sr8 b 11 8 -m 640 2>/dev/null
mknod /dev/sr9 b 11 9 -m 640 2>/dev/null
mknod /dev/sr10 b 11 10 -m 640 2>/dev/null
mknod /dev/sr11 b 11 11 -m 640 2>/dev/null
mknod /dev/sr12 b 11 12 -m 640 2>/dev/null
mknod /dev/sr13 b 11 13 -m 640 2>/dev/null
mknod /dev/sr14 b 11 14 -m 640 2>/dev/null
mknod /dev/sr15 b 11 15 -m 640 2>/dev/null

echo "Done."

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Changes MAKEDEVICES.sh README.* xcdroast-0.96e.lsm 
/usr/bin/xcdroast
%dir /usr/lib/xcdroast-0.96e
%dir /usr/lib/xcdroast-0.96e/bin
/usr/lib/xcdroast-0.96e/bin/cdrecord-1.6.1
/usr/lib/xcdroast-0.96e/bin/isodetect
/usr/lib/xcdroast-0.96e/bin/isoinfo
/usr/lib/xcdroast-0.96e/bin/isosize
/usr/lib/xcdroast-0.96e/bin/mycmp
/usr/lib/xcdroast-0.96e/bin/mydd
/usr/lib/xcdroast-0.96e/bin/mymkisofs-1.12b4
/usr/lib/xcdroast-0.96e/bin/playcdda
/usr/lib/xcdroast-0.96e/bin/readcdda
%dir /usr/lib/xcdroast-0.96e/logo
/usr/lib/xcdroast-0.96e/logo/xcdricon.xbm
/usr/lib/xcdroast-0.96e/logo/xcdricon.xpm
/usr/lib/xcdroast-0.96e/logo/xcdrlogo.gif
/usr/lib/xcdroast-0.96e/logo/xcdrmini.xpm
%dir /usr/lib/xcdroast-0.96e/sound
/usr/lib/xcdroast-0.96e/sound/test.cdr
/usr/man/man1/xcdroast.1

%changelog
* Wed Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Tue Oct 13 1998 Michael Maher <mike@redhat.com>
- rushed by wanger.. not updated

* Wed May 20 1998 Michael Maher <mike@redhat.com>
- built and updated package
- added changelog
- edited paths  
